# ImportWizardModel.SourceType (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Enum ImportWizardModel.SourceType

- java.lang.Object
- - java.lang.Enum<ImportWizardModel.SourceType>
  - - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardModel.SourceType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ImportWizardModel.SourceType>
  Enclosing class:
    ImportWizardModel

      public static enum ImportWizardModel.SourceType
      extends java.lang.Enum<ImportWizardModel.SourceType>

  Possible sources for importing data from.
  See Also:
    `sourceType}`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CSV` TODO
    `EXCEL` TODO
    `JDBC` TODO

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImportWizardModel.SourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImportWizardModel.SourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CSV

          public static final ImportWizardModel.SourceType CSV

      TODO

    - #### JDBC

          public static final ImportWizardModel.SourceType JDBC

      TODO

    - #### EXCEL

          public static final ImportWizardModel.SourceType EXCEL

      TODO

  - ### Method Detail

    - #### values

          public static ImportWizardModel.SourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImportWizardModel.SourceType c : ImportWizardModel.SourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImportWizardModel.SourceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null